Subject: Re: [POWERPC] [RFC] Fix 8xx tlbie definition

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 17 Nov 2007 12:05:47 +1100

On Sat, 2007-11-17 at 01:28 +0300, Vitaly Bordug wrote:
> On Sat, 17 Nov 2007 08:06:29 +1100
> Benjamin Herrenschmidt wrote:
> 
> > 
> > On Fri, 2007-11-16 at 11:28 -0600, Josh Boyer wrote:
> > > Git commit e701d269aa28996f3502780951fe1b12d5d66b49 introduced an
> > > incorrect definition for _tlbie on PowerPC 8xx platforms.  Only the
> > > address should be passed to the function.  This patch corrects the
> > > definition of _tlbie and the related tlb flushing functions for 8xx.
> > > 
> > > Signed-off-by: Josh Boyer <[email-masked]>
> > 
> > That conflicts with the patch I posted to fix it differently (I kept
> > the additional argument).
> > 
> 
> Where can I grab it to give a try? My linuxppc archive is silent for some reason..

Looks like I may have failed to post it ... weird, I was sure I posted
that days ago, when Olof first mentioned the breakage. I'll check &
resend.

> > Which one do we take ?
> > 
> 
> If your solution will work out, I'd agree with Kumar to have this thing consistent.
> If not - It might be cheapier just to fix it this gross way, to keep 8xx stuff running. 

Ben.